org.apache.ignite.internal.util.tostring

## Class GridToStringBuilder

- java.lang.Object
- - org.apache.ignite.internal.util.tostring.GridToStringBuilder

Direct Known Subclasses:
  S

    public class GridToStringBuilder
    extends Object

Provides auto-generation framework for `toString()` output.

Default exclusion policy (can be overridden with `GridToStringInclude` annotation):

- fields with `GridToStringExclude` annotations
- classes that have `GridToStringExclude` annotation (current list):
  - GridManager
  - GridManagerRegistry
  - GridProcessor
  - GridProcessorRegistry
  - IgniteLogger
  - GridDiscoveryMetricsProvider
  - GridByteArrayList
- static fields
- non-private fields
- arrays
- fields of type `Object`
- fields of type `Thread`
- fields of type `Runnable`
- fields of type `Serializable`
- fields of type `Externalizable`
- `InputStream` implementations
- `OutputStream` implementations
- `EventListener` implementations
- `Lock` implementations
- `ReadWriteLock` implementations
- `Condition` implementations
- `Map` implementations
- `Collection` implementations

### Field Summary

Fields
`static boolean` `INCLUDE_SENSITIVE` `IgniteSystemProperties.IGNITE_TO_STRING_INCLUDE_SENSITIVE`
`static int` `MAX_COL_SIZE` Maximum number of collection (map) entries to print.

### Constructor Summary

Constructors
Constructor and Description
`GridToStringBuilder()`

### Method Summary

Methods
`static String` `arrayToString(Class arrType, Object arr)`
`static <T> String` `toString(Class<T> cls, T obj)` Produces auto-generated output of string presentation for given object and its declaration class.
`static <T> String` `toString(Class<T> cls, T obj, String parent)` Produces auto-generated output of string presentation for given object and its declaration class.
`static <T> String` `toString(Class<T> cls, T obj, String name, Object val)` Produces auto-generated output of string presentation for given object and its declaration class.
`static <T> String` `toString(Class<T> cls, T obj, String name, Object val, boolean sens)` Produces auto-generated output of string presentation for given object and its declaration class.
`static <T> String` `toString(Class<T> cls, T obj, String name0, Object val0, boolean sens0, String name1, Object val1, boolean sens1)` Produces auto-generated output of string presentation for given object and its declaration class.
`static <T> String` `toString(Class<T> cls, T obj, String name0, Object val0, boolean sens0, String name1, Object val1, boolean sens1, String name2, Object val2, boolean sens2)` Produces auto-generated output of string presentation for given object and its declaration class.
`static <T> String` `toString(Class<T> cls, T obj, String name0, Object val0, boolean sens0, String name1, Object val1, boolean sens1, String name2, Object val2, boolean sens2, String name3, Object val3, boolean sens3)` Produces auto-generated output of string presentation for given object and its declaration class.
`static <T> String` `toString(Class<T> cls, T obj, String name0, Object val0, boolean sens0, String name1, Object val1, boolean sens1, String name2, Object val2, boolean sens2, String name3, Object val3, boolean sens3, String name4, Object val4, boolean sens4)` Produces auto-generated output of string presentation for given object and its declaration class.

`static <T> String`

`toString(Class<T> cls, T obj, String name0, Object val0, boolean sens0, String name1, Object val1, boolean sens1, String name2, Object val2, boolean sens2, String name3, Object val3, boolean sens3, String name4, Object val4, boolean sens4, String name5, Object val5, boolean sens5)`
Produces auto-generated output of string presentation for given object and its declaration class.

`static <T> String`

`toString(Class<T> cls, T obj, String name0, Object val0, boolean sens0, String name1, Object val1, boolean sens1, String name2, Object val2, boolean sens2, String name3, Object val3, boolean sens3, String name4, Object val4, boolean sens4, String name5, Object val5, boolean sens5, String name6, Object val6, boolean sens6)`
Produces auto-generated output of string presentation for given object and its declaration class.

`static <T> String` `toString(Class<T> cls, T obj, String name0, Object val0, String name1, Object val1)` Produces auto-generated output of string presentation for given object and its declaration class.
`static <T> String` `toString(Class<T> cls, T obj, String name0, Object val0, String name1, Object val1, String name2, Object val2)` Produces auto-generated output of string presentation for given object and its declaration class.
`static <T> String` `toString(Class<T> cls, T obj, String name0, Object val0, String name1, Object val1, String name2, Object val2, String name3, Object val3)` Produces auto-generated output of string presentation for given object and its declaration class.
`static <T> String` `toString(Class<T> cls, T obj, String name0, Object val0, String name1, Object val1, String name2, Object val2, String name3, Object val3, String name4, Object val4)` Produces auto-generated output of string presentation for given object and its declaration class.
`static <T> String` `toString(Class<T> cls, T obj, String name0, Object val0, String name1, Object val1, String name2, Object val2, String name3, Object val3, String name4, Object val4, String name5, Object val5)` Produces auto-generated output of string presentation for given object and its declaration class.
`static <T> String` `toString(Class<T> cls, T obj, String name0, Object val0, String name1, Object val1, String name2, Object val2, String name3, Object val3, String name4, Object val4, String name5, Object val5, String name6, Object val6)` Produces auto-generated output of string presentation for given object and its declaration class.
`static String` `toString(String str, String name, Object val)` Produces uniformed output of string with context properties
`static String` `toString(String str, String name, Object val, boolean sens)` Produces uniformed output of string with context properties
`static String` `toString(String str, String name0, Object val0, boolean sens0, String name1, Object val1, boolean sens1)` Produces uniformed output of string with context properties
`static String` `toString(String str, String name0, Object val0, boolean sens0, String name1, Object val1, boolean sens1, String name2, Object val2, boolean sens2)` Produces uniformed output of string with context properties
`static String` `toString(String str, String name0, Object val0, boolean sens0, String name1, Object val1, boolean sens1, String name2, Object val2, boolean sens2, String name3, Object val3, boolean sens3)` Produces uniformed output of string with context properties
`static String` `toString(String str, String name0, Object val0, boolean sens0, String name1, Object val1, boolean sens1, String name2, Object val2, boolean sens2, String name3, Object val3, boolean sens3, String name4, Object val4, boolean sens4)` Produces uniformed output of string with context properties
`static String` `toString(String str, String name0, Object val0, boolean sens0, String name1, Object val1, boolean sens1, String name2, Object val2, boolean sens2, String name3, Object val3, boolean sens3, String name4, Object val4, boolean sens4, String name5, Object val5, boolean sens5)` Produces uniformed output of string with context properties
`static String` `toString(String str, String name0, Object val0, boolean sens0, String name1, Object val1, boolean sens1, String name2, Object val2, boolean sens2, String name3, Object val3, boolean sens3, String name4, Object val4, boolean sens4, String name5, Object val5, boolean sens5, String name6, Object val6, boolean sens6)` Produces uniformed output of string with context properties
`static String` `toString(String str, String name0, Object val0, String name1, Object val1)` Produces uniformed output of string with context properties

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX_COL_SIZE

    public static final int MAX_COL_SIZE

Maximum number of collection (map) entries to print.

See Also:
  Constant Field Values

#### INCLUDE_SENSITIVE

    public static final boolean INCLUDE_SENSITIVE

`IgniteSystemProperties.IGNITE_TO_STRING_INCLUDE_SENSITIVE`

### Constructor Detail

#### GridToStringBuilder

    public GridToStringBuilder()

### Method Detail

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj,
                      String name0,
                      Object val0,
                      String name1,
                      Object val1,
                      String name2,
                      Object val2,
                      String name3,
                      Object val3,
                      String name4,
                      Object val4)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
  `name0` - Additional parameter name.
  `val0` - Additional parameter value.
  `name1` - Additional parameter name.
  `val1` - Additional parameter value.
  `name2` - Additional parameter name.
  `val2` - Additional parameter value.
  `name3` - Additional parameter name.
  `val3` - Additional parameter value.
  `name4` - Additional parameter name.
  `val4` - Additional parameter value.
Returns:
  String presentation of the given object.

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj,
                      String name0,
                      Object val0,
                      String name1,
                      Object val1,
                      String name2,
                      Object val2,
                      String name3,
                      Object val3,
                      String name4,
                      Object val4,
                      String name5,
                      Object val5)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
  `name0` - Additional parameter name.
  `val0` - Additional parameter value.
  `name1` - Additional parameter name.
  `val1` - Additional parameter value.
  `name2` - Additional parameter name.
  `val2` - Additional parameter value.
  `name3` - Additional parameter name.
  `val3` - Additional parameter value.
  `name4` - Additional parameter name.
  `val4` - Additional parameter value.
  `name5` - Additional parameter name.
  `val5` - Additional parameter value.
Returns:
  String presentation of the given object.

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj,
                      String name0,
                      Object val0,
                      String name1,
                      Object val1,
                      String name2,
                      Object val2,
                      String name3,
                      Object val3,
                      String name4,
                      Object val4,
                      String name5,
                      Object val5,
                      String name6,
                      Object val6)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
  `name0` - Additional parameter name.
  `val0` - Additional parameter value.
  `name1` - Additional parameter name.
  `val1` - Additional parameter value.
  `name2` - Additional parameter name.
  `val2` - Additional parameter value.
  `name3` - Additional parameter name.
  `val3` - Additional parameter value.
  `name4` - Additional parameter name.
  `val4` - Additional parameter value.
  `name5` - Additional parameter name.
  `val5` - Additional parameter value.
  `name6` - Additional parameter name.
  `val6` - Additional parameter value.
Returns:
  String presentation of the given object.

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj,
                      String name0,
                      Object val0,
                      boolean sens0,
                      String name1,
                      Object val1,
                      boolean sens1,
                      String name2,
                      Object val2,
                      boolean sens2,
                      String name3,
                      Object val3,
                      boolean sens3,
                      String name4,
                      Object val4,
                      boolean sens4)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
  `name0` - Additional parameter name.
  `val0` - Additional parameter value.
  `sens0` - Property sensitive flag.
  `name1` - Additional parameter name.
  `val1` - Additional parameter value.
  `sens1` - Property sensitive flag.
  `name2` - Additional parameter name.
  `val2` - Additional parameter value.
  `sens2` - Property sensitive flag.
  `name3` - Additional parameter name.
  `val3` - Additional parameter value.
  `sens3` - Property sensitive flag.
  `name4` - Additional parameter name.
  `val4` - Additional parameter value.
  `sens4` - Property sensitive flag.
Returns:
  String presentation of the given object.

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj,
                      String name0,
                      Object val0,
                      boolean sens0,
                      String name1,
                      Object val1,
                      boolean sens1,
                      String name2,
                      Object val2,
                      boolean sens2,
                      String name3,
                      Object val3,
                      boolean sens3,
                      String name4,
                      Object val4,
                      boolean sens4,
                      String name5,
                      Object val5,
                      boolean sens5)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
  `name0` - Additional parameter name.
  `val0` - Additional parameter value.
  `sens0` - Property sensitive flag.
  `name1` - Additional parameter name.
  `val1` - Additional parameter value.
  `sens1` - Property sensitive flag.
  `name2` - Additional parameter name.
  `val2` - Additional parameter value.
  `sens2` - Property sensitive flag.
  `name3` - Additional parameter name.
  `val3` - Additional parameter value.
  `sens3` - Property sensitive flag.
  `name4` - Additional parameter name.
  `val4` - Additional parameter value.
  `sens4` - Property sensitive flag.
  `name5` - Additional parameter name.
  `val5` - Additional parameter value.
  `sens5` - Property sensitive flag.
Returns:
  String presentation of the given object.

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj,
                      String name0,
                      Object val0,
                      boolean sens0,
                      String name1,
                      Object val1,
                      boolean sens1,
                      String name2,
                      Object val2,
                      boolean sens2,
                      String name3,
                      Object val3,
                      boolean sens3,
                      String name4,
                      Object val4,
                      boolean sens4,
                      String name5,
                      Object val5,
                      boolean sens5,
                      String name6,
                      Object val6,
                      boolean sens6)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
  `name0` - Additional parameter name.
  `val0` - Additional parameter value.
  `sens0` - Property sensitive flag.
  `name1` - Additional parameter name.
  `val1` - Additional parameter value.
  `sens1` - Property sensitive flag.
  `name2` - Additional parameter name.
  `val2` - Additional parameter value.
  `sens2` - Property sensitive flag.
  `name3` - Additional parameter name.
  `val3` - Additional parameter value.
  `sens3` - Property sensitive flag.
  `name4` - Additional parameter name.
  `val4` - Additional parameter value.
  `sens4` - Property sensitive flag.
  `name5` - Additional parameter name.
  `val5` - Additional parameter value.
  `sens5` - Property sensitive flag.
  `name6` - Additional parameter name.
  `val6` - Additional parameter value.
  `sens6` - Property sensitive flag.
Returns:
  String presentation of the given object.

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj,
                      String name0,
                      Object val0,
                      String name1,
                      Object val1,
                      String name2,
                      Object val2,
                      String name3,
                      Object val3)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
  `name0` - Additional parameter name.
  `val0` - Additional parameter value.
  `name1` - Additional parameter name.
  `val1` - Additional parameter value.
  `name2` - Additional parameter name.
  `val2` - Additional parameter value.
  `name3` - Additional parameter name.
  `val3` - Additional parameter value.
Returns:
  String presentation of the given object.

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj,
                      String name0,
                      Object val0,
                      boolean sens0,
                      String name1,
                      Object val1,
                      boolean sens1,
                      String name2,
                      Object val2,
                      boolean sens2,
                      String name3,
                      Object val3,
                      boolean sens3)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
  `name0` - Additional parameter name.
  `val0` - Additional parameter value.
  `sens0` - Property sensitive flag.
  `name1` - Additional parameter name.
  `val1` - Additional parameter value.
  `sens1` - Property sensitive flag.
  `name2` - Additional parameter name.
  `val2` - Additional parameter value.
  `sens2` - Property sensitive flag.
  `name3` - Additional parameter name.
  `val3` - Additional parameter value.
  `sens3` - Property sensitive flag.
Returns:
  String presentation of the given object.

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj,
                      String name0,
                      Object val0,
                      String name1,
                      Object val1,
                      String name2,
                      Object val2)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
  `name0` - Additional parameter name.
  `val0` - Additional parameter value.
  `name1` - Additional parameter name.
  `val1` - Additional parameter value.
  `name2` - Additional parameter name.
  `val2` - Additional parameter value.
Returns:
  String presentation of the given object.

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj,
                      String name0,
                      Object val0,
                      boolean sens0,
                      String name1,
                      Object val1,
                      boolean sens1,
                      String name2,
                      Object val2,
                      boolean sens2)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
  `name0` - Additional parameter name.
  `val0` - Additional parameter value.
  `sens0` - Property sensitive flag.
  `name1` - Additional parameter name.
  `val1` - Additional parameter value.
  `sens1` - Property sensitive flag.
  `name2` - Additional parameter name.
  `val2` - Additional parameter value.
  `sens2` - Property sensitive flag.
Returns:
  String presentation of the given object.

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj,
                      String name0,
                      Object val0,
                      String name1,
                      Object val1)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
  `name0` - Additional parameter name.
  `val0` - Additional parameter value.
  `name1` - Additional parameter name.
  `val1` - Additional parameter value.
Returns:
  String presentation of the given object.

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj,
                      String name0,
                      Object val0,
                      boolean sens0,
                      String name1,
                      Object val1,
                      boolean sens1)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
  `name0` - Additional parameter name.
  `val0` - Additional parameter value.
  `sens0` - Property sensitive flag.
  `name1` - Additional parameter name.
  `val1` - Additional parameter value.
  `sens1` - Property sensitive flag.
Returns:
  String presentation of the given object.

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj,
                      String name,
                      @Nullable
                      Object val)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
  `name` - Additional parameter name.
  `val` - Additional parameter value.
Returns:
  String presentation of the given object.

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj,
                      String name,
                      @Nullable
                      Object val,
                      boolean sens)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
  `name` - Additional parameter name.
  `val` - Additional parameter value.
  `sens` - Property sensitive flag.
Returns:
  String presentation of the given object.

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
Returns:
  String presentation of the given object.

#### toString

    public static <T> String toString(Class<T> cls,
                      T obj,
                      String parent)

Produces auto-generated output of string presentation for given object and its declaration class.

Type Parameters:
  `T` - Type of the object.
Parameters:
  `cls` - Declaration class of the object. Note that this should not be a runtime class.
  `obj` - Object to get a string presentation for.
  `parent` - String representation of parent.
Returns:
  String presentation of the given object.

#### arrayToString

    public static String arrayToString(Class arrType,
                       Object arr)

Parameters:
  `arrType` - Type of the array.
  `arr` - Array object.
Returns:
  String representation of an array.

#### toString

    public static String toString(String str,
                  String name,
                  @Nullable
                  Object val)

Produces uniformed output of string with context properties

Parameters:
  `str` - Output prefix or `null` if empty.
  `name` - Property name.
  `val` - Property value.
Returns:
  String presentation.

#### toString

    public static String toString(String str,
                  String name,
                  @Nullable
                  Object val,
                  boolean sens)

Produces uniformed output of string with context properties

Parameters:
  `str` - Output prefix or `null` if empty.
  `name` - Property name.
  `val` - Property value.
  `sens` - Property sensitive flag.
Returns:
  String presentation.

#### toString

    public static String toString(String str,
                  String name0,
                  @Nullable
                  Object val0,
                  String name1,
                  @Nullable
                  Object val1)

Produces uniformed output of string with context properties

Parameters:
  `str` - Output prefix or `null` if empty.
  `name0` - Property name.
  `val0` - Property value.
  `name1` - Property name.
  `val1` - Property value.
Returns:
  String presentation.

#### toString

    public static String toString(String str,
                  String name0,
                  @Nullable
                  Object val0,
                  boolean sens0,
                  String name1,
                  @Nullable
                  Object val1,
                  boolean sens1)

Produces uniformed output of string with context properties

Parameters:
  `str` - Output prefix or `null` if empty.
  `name0` - Property name.
  `val0` - Property value.
  `sens0` - Property sensitive flag.
  `name1` - Property name.
  `val1` - Property value.
  `sens1` - Property sensitive flag.
Returns:
  String presentation.

#### toString

    public static String toString(String str,
                  String name0,
                  @Nullable
                  Object val0,
                  boolean sens0,
                  String name1,
                  @Nullable
                  Object val1,
                  boolean sens1,
                  String name2,
                  @Nullable
                  Object val2,
                  boolean sens2)

Produces uniformed output of string with context properties

Parameters:
  `str` - Output prefix or `null` if empty.
  `name0` - Property name.
  `val0` - Property value.
  `sens0` - Property sensitive flag.
  `name1` - Property name.
  `val1` - Property value.
  `sens1` - Property sensitive flag.
  `name2` - Property name.
  `val2` - Property value.
  `sens2` - Property sensitive flag.
Returns:
  String presentation.

#### toString

    public static String toString(String str,
                  String name0,
                  @Nullable
                  Object val0,
                  boolean sens0,
                  String name1,
                  @Nullable
                  Object val1,
                  boolean sens1,
                  String name2,
                  @Nullable
                  Object val2,
                  boolean sens2,
                  String name3,
                  @Nullable
                  Object val3,
                  boolean sens3)

Produces uniformed output of string with context properties

Parameters:
  `str` - Output prefix or `null` if empty.
  `name0` - Property name.
  `val0` - Property value.
  `sens0` - Property sensitive flag.
  `name1` - Property name.
  `val1` - Property value.
  `sens1` - Property sensitive flag.
  `name2` - Property name.
  `val2` - Property value.
  `sens2` - Property sensitive flag.
  `name3` - Property name.
  `val3` - Property value.
  `sens3` - Property sensitive flag.
Returns:
  String presentation.

#### toString

    public static String toString(String str,
                  String name0,
                  @Nullable
                  Object val0,
                  boolean sens0,
                  String name1,
                  @Nullable
                  Object val1,
                  boolean sens1,
                  String name2,
                  @Nullable
                  Object val2,
                  boolean sens2,
                  String name3,
                  @Nullable
                  Object val3,
                  boolean sens3,
                  String name4,
                  @Nullable
                  Object val4,
                  boolean sens4)

Produces uniformed output of string with context properties

Parameters:
  `str` - Output prefix or `null` if empty.
  `name0` - Property name.
  `val0` - Property value.
  `sens0` - Property sensitive flag.
  `name1` - Property name.
  `val1` - Property value.
  `sens1` - Property sensitive flag.
  `name2` - Property name.
  `val2` - Property value.
  `sens2` - Property sensitive flag.
  `name3` - Property name.
  `val3` - Property value.
  `sens3` - Property sensitive flag.
  `name4` - Property name.
  `val4` - Property value.
  `sens4` - Property sensitive flag.
Returns:
  String presentation.

#### toString

    public static String toString(String str,
                  String name0,
                  @Nullable
                  Object val0,
                  boolean sens0,
                  String name1,
                  @Nullable
                  Object val1,
                  boolean sens1,
                  String name2,
                  @Nullable
                  Object val2,
                  boolean sens2,
                  String name3,
                  @Nullable
                  Object val3,
                  boolean sens3,
                  String name4,
                  @Nullable
                  Object val4,
                  boolean sens4,
                  String name5,
                  @Nullable
                  Object val5,
                  boolean sens5)

Produces uniformed output of string with context properties

Parameters:
  `str` - Output prefix or `null` if empty.
  `name0` - Property name.
  `val0` - Property value.
  `sens0` - Property sensitive flag.
  `name1` - Property name.
  `val1` - Property value.
  `sens1` - Property sensitive flag.
  `name2` - Property name.
  `val2` - Property value.
  `sens2` - Property sensitive flag.
  `name3` - Property name.
  `val3` - Property value.
  `sens3` - Property sensitive flag.
  `name4` - Property name.
  `val4` - Property value.
  `sens4` - Property sensitive flag.
  `name5` - Property name.
  `val5` - Property value.
  `sens5` - Property sensitive flag.
Returns:
  String presentation.

#### toString

    public static String toString(String str,
                  String name0,
                  @Nullable
                  Object val0,
                  boolean sens0,
                  String name1,
                  @Nullable
                  Object val1,
                  boolean sens1,
                  String name2,
                  @Nullable
                  Object val2,
                  boolean sens2,
                  String name3,
                  @Nullable
                  Object val3,
                  boolean sens3,
                  String name4,
                  @Nullable
                  Object val4,
                  boolean sens4,
                  String name5,
                  @Nullable
                  Object val5,
                  boolean sens5,
                  String name6,
                  @Nullable
                  Object val6,
                  boolean sens6)

Produces uniformed output of string with context properties

Parameters:
  `str` - Output prefix or `null` if empty.
  `name0` - Property name.
  `val0` - Property value.
  `sens0` - Property sensitive flag.
  `name1` - Property name.
  `val1` - Property value.
  `sens1` - Property sensitive flag.
  `name2` - Property name.
  `val2` - Property value.
  `sens2` - Property sensitive flag.
  `name3` - Property name.
  `val3` - Property value.
  `sens3` - Property sensitive flag.
  `name4` - Property name.
  `val4` - Property value.
  `sens4` - Property sensitive flag.
  `name5` - Property name.
  `val5` - Property value.
  `sens5` - Property sensitive flag.
  `name6` - Property name.
  `val6` - Property value.
  `sens6` - Property sensitive flag.
Returns:
  String presentation.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017